Class | GraphViz::GraphML
In: | lib/graphviz/graphml.rb
Parent: | Object

### Methods

graphml graphml_graph graphml_graph_data graphml_graph_edge graphml_graph_edge_data graphml_graph_hyperedge graphml_graph_node graphml_graph_node_data graphml_graph_node_port graphml_key graphml_key_default new parse

### Constants

DEST | = | { 'node' => [:nodes], 'edge' => [:edges], 'graph' => [:graphs], 'all' => [:nodes, :edges, :graphs]
GTYPE | = | { 'directed' => :digraph, 'undirected' => :graph

### Attributes

attributs | [R] |
graph | [RW] |

### Public Class methods

new( file_or_str )

### Public Instance methods

graphml( node )
graphml_graph( node )
graphml_graph_data( node )
graphml_graph_edge( node )
graphml_graph_edge_data( node )
graphml_graph_hyperedge( node )
graphml_graph_node( node )
graphml_graph_node_data( node )
graphml_graph_node_port( node )
graphml_key( node )
graphml_key_default( node )
parse( node )

[Validate]